Bug 104813 - Anaconda tries to format, stops with error. We want more info!
Anaconda tries to format, stops with error. We want more info!
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-22 11:02 EDT by David Tonhofer
Modified: 2007-04-18 12:57 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-15 21:04:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Tonhofer 2003-09-22 11:02:41 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.0.2)
Gecko/20030208 Netscape/7.02

Description of problem:

A word on the hardware setup:

  Standard Siemens-Fujitsu Athlon-equipped PC with two harddisks:

  Two 76319MB (=74.53GB) harddisk (Western Digital WDC WD800 JB-00CRA1)
  These seems to get quite hot btw.

  /dev/hda is master on the primary IDE bus
  /dev/hdd is slave on the secondary IDE bus

We want to install Linux in software RAID 1 modus on these.

(N.B. Windows 2000 could be installed but *not* booted from these
 disks, and I didn't even try mirroring or anything)

I set up Linux through the graphical setup. In Disk Druid, I define
all the partitions I need as 'software RAID' on /dev/hda, then clone
/dev/hda to /dev/hdd, then group the paritions pairwise, yielding /dev/md?
devices. 

May be special: the swap device is defined as /dev/md10 (mirrored).
(Is this a good idea? Slow but failsafer...)

Here is the detailed setup:

  /dev/hda1  + /dev/hdd1  == /dev/md0 mounted on /boot   (primary partitions)
  511.844 MB
  /dev/hda2  + /dev/hdd2  == /dev/md1 mounted on /       (primary partitions)
  2047.99 MB
  /dev/hda3  + /dev/hdd3  == /dev/md2 mounted on /var/db (primary partitions)
  6143.98 MB
  /dev/hda5  + /dev/hdd5  == /dev/md3 mounted on /usr           
  5120.20 MB
  /dev/hda6  + /dev/hdd6  == /dev/md4 mounted on /var/log
  5120.20 MB  
  /dev/hda7  + /dev/hdd7  == /dev/md5 mounted on /home
  4095.95 MB  
  /dev/hda8  + /dev/hdd8  == /dev/md6 mounted on /var
  4095.95 MB  
  /dev/hda9  + /dev/hdd9  == /dev/md7 mounted on /redhat 
  4095.95 MB  
  /dev/hda10 + /dev/hdd10 == /dev/md8 mounted on /var/spool 
  3072.20 MB  
  /dev/hda11 + /dev/hdd11 == /dev/md9 mounted on /tmp
  2047.96 MB  
  /dev/hda12 + /dev/hdd12 == /dev/md10 mounted as swap
  511.844 MB  

Anaconda is happy until we are about to format. At that moment, we
get a popup saying:

"Could not format /dev/md0. This is a serious error. Reboot the system."

I curse my decision to go into Computer Science and try again from the start.

Once Disk Druid comes up again the only RAID devices left are
/dev/md0 typed as 'foreign' and /dev/md10 typed as swap.

I rebuild the devices. Anaconda is happy until we are about to format.
At that moment, we get a popup saying:

"Could not format /dev/md0. This is a serious error. Reboot the system."

Not to be discouraged, I try again w/o software RAID, just setting
up everything on /dev/hda. Installation proceeds. I reboot.

I re-create the RAID disks but leave the swap device alone, i.e.
unmirrored as /dev/hda12. Installation proceeds. I reboot.

I re-create the RAID devices as described above. Installation proceeds.

How reproducible: Didn't try

Actual Results:  We will probably never know what hit me. However, if
Anaconda finds that there is some deep reason why it cannot proceed with
formatting the RAID device, it should give additional error information.
Comment 1 Michael Fulbright 2003-09-23 11:49:58 EDT
I do not think running swap on RAID is recommended, btw.

If you look on VC3, VC4, and VC5 you can find additional logging information
from anaconda and the kernel.  See if you can find any obvious errors when the
dialog box appears.
Comment 2 Jeremy Katz 2003-10-15 21:04:39 EDT
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report
Comment 3 David Tonhofer 2003-10-16 05:58:18 EDT
Sorry about 'no info'. There isn't any as this error did not reappear. Leave
as closed.

We'll see about the mirrored swap device ;-) as I'm going to move this
machine to the production department tomorrow.

(Note that in case of hot-swap hardware -- not my case -- you *have* to
 mirror the swap device otherwise the machine will go down on disk failure no
 matter what, so there is a good reason to mirror it)

Note You need to log in before you can comment on or make changes to this bug.